"use strict";
const uni_modules_zPaging_components_zPaging_js_zPagingMain = require("./js/z-paging-main.js");
const common_vendor = require("../../../../common/vendor.js");
const block0 = {};
if (!Array) {
  const _component_z_paging_refresh = common_vendor.resolveComponent("z-paging-refresh");
  const _component_z_paging_load_more = common_vendor.resolveComponent("z-paging-load-more");
  const _easycom_z_paging_empty_view2 = common_vendor.resolveComponent("z-paging-empty-view");
  (_component_z_paging_refresh + _component_z_paging_load_more + _easycom_z_paging_empty_view2)();
}
const _easycom_z_paging_empty_view = () => "../z-paging-empty-view/z-paging-empty-view.js";
if (!Math) {
  _easycom_z_paging_empty_view();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.cssSafeAreaInsetBottom === -1
  }, _ctx.cssSafeAreaInsetBottom === -1 ? {} : {}, {
    b: _ctx.showF2 && _ctx.showRefresherF2
  }, _ctx.showF2 && _ctx.showRefresherF2 ? {
    c: common_vendor.o(() => {
    }),
    d: common_vendor.s({
      "transform": _ctx.f2Transform,
      "transition": `transform .2s linear`,
      "height": _ctx.superContentHeight + "px",
      "z-index": _ctx.f2ZIndex
    })
  } : {}, {
    e: !_ctx.usePageScroll && _ctx.zSlots.top
  }, !_ctx.usePageScroll && _ctx.zSlots.top ? {} : _ctx.usePageScroll && _ctx.zSlots.top ? {
    g: common_vendor.o(() => {
    }),
    h: common_vendor.s({
      "top": `${_ctx.windowTop}px`,
      "z-index": _ctx.topZIndex
    })
  } : {}, {
    f: _ctx.usePageScroll && _ctx.zSlots.top,
    i: _ctx.zSlots.left
  }, _ctx.zSlots.left ? {
    j: _ctx.finalIsOldWebView ? 1 : ""
  } : {}, {
    k: _ctx.finalRefresherFixedBacHeight > 0
  }, _ctx.finalRefresherFixedBacHeight > 0 ? {
    l: common_vendor.s({
      "background": _ctx.refresherFixedBackground,
      "height": `${_ctx.finalRefresherFixedBacHeight}px`
    })
  } : {}, {
    m: _ctx.showRefresher
  }, _ctx.showRefresher ? common_vendor.e({
    n: _ctx.useRefresherStatusBarPlaceholder
  }, _ctx.useRefresherStatusBarPlaceholder ? {
    o: common_vendor.s({
      "height": `${_ctx.statusBarHeight}px`
    })
  } : {}, {
    p: !(_ctx.zSlots.refresherComplete && _ctx.refresherStatus === _ctx.R.Complete) && !(_ctx.zSlots.refresherF2 && _ctx.refresherStatus === _ctx.R.GoF2)
  }, !(_ctx.zSlots.refresherComplete && _ctx.refresherStatus === _ctx.R.Complete) && !(_ctx.zSlots.refresherF2 && _ctx.refresherStatus === _ctx.R.GoF2) ? {
    q: common_vendor.r("refresher", {
      refresherStatus: _ctx.refresherStatus
    })
  } : {}, {
    r: _ctx.zSlots.refresherComplete && _ctx.refresherStatus === _ctx.R.Complete
  }, _ctx.zSlots.refresherComplete && _ctx.refresherStatus === _ctx.R.Complete ? {} : _ctx.zSlots.refresherF2 && _ctx.refresherStatus === _ctx.R.GoF2 ? {} : !_ctx.showCustomRefresher ? {
    v: common_vendor.s({
      "height": `${_ctx.finalRefresherThreshold - _ctx.finalRefresherThresholdPlaceholder}px`
    }),
    w: common_vendor.p({
      status: _ctx.refresherStatus,
      defaultThemeStyle: _ctx.finalRefresherThemeStyle,
      defaultText: _ctx.finalRefresherDefaultText,
      pullingText: _ctx.finalRefresherPullingText,
      refreshingText: _ctx.finalRefresherRefreshingText,
      completeText: _ctx.finalRefresherCompleteText,
      goF2Text: _ctx.finalRefresherGoF2Text,
      defaultImg: _ctx.refresherDefaultImg,
      pullingImg: _ctx.refresherPullingImg,
      refreshingImg: _ctx.refresherRefreshingImg,
      completeImg: _ctx.refresherCompleteImg,
      refreshingAnimated: _ctx.refresherRefreshingAnimated,
      showUpdateTime: _ctx.showRefresherUpdateTime,
      updateTimeKey: _ctx.refresherUpdateTimeKey,
      updateTimeTextMap: _ctx.finalRefresherUpdateTimeTextMap,
      imgStyle: _ctx.refresherImgStyle,
      titleStyle: _ctx.refresherTitleStyle,
      updateTimeStyle: _ctx.refresherUpdateTimeStyle,
      unit: _ctx.unit
    })
  } : {}, {
    s: _ctx.zSlots.refresherF2 && _ctx.refresherStatus === _ctx.R.GoF2,
    t: !_ctx.showCustomRefresher,
    x: common_vendor.s({
      "height": `${_ctx.finalRefresherThreshold}px`,
      "background": _ctx.refresherBackground
    }),
    y: common_vendor.s({
      "margin-top": `-${_ctx.finalRefresherThreshold + _ctx.refresherThresholdUpdateTag}px`,
      "background": _ctx.refresherBackground,
      "opacity": _ctx.isTouchmoving ? 1 : 0
    })
  }) : {}, {
    z: _ctx.showLoading && _ctx.zSlots.loading && !_ctx.loadingFullFixed
  }, _ctx.showLoading && _ctx.zSlots.loading && !_ctx.loadingFullFixed ? {} : {}, {
    A: _ctx.finalUseInnerList
  }, _ctx.finalUseInnerList ? common_vendor.e({
    B: _ctx.finalUseVirtualList
  }, _ctx.finalUseVirtualList ? {
    C: common_vendor.f(_ctx.virtualList, (item, index, i0) => {
      return common_vendor.e(_ctx.useCompatibilityMode ? {} : {
        a: "cell-" + i0,
        b: common_vendor.r("cell", {
          item,
          index: _ctx.virtualTopRangeIndex + index
        }, i0)
      }, {
        c: `zp-id-${item[_ctx.virtualCellIndexKey]}`,
        d: item["zp_unique_index"],
        e: common_vendor.o(($event) => _ctx._innerCellClick(item, _ctx.virtualTopRangeIndex + index))
      });
    }),
    D: _ctx.useCompatibilityMode,
    E: common_vendor.s(_ctx.innerCellStyle)
  } : {
    F: common_vendor.f(_ctx.realTotalData, (item, index, i0) => {
      return {
        a: "cell-" + i0,
        b: common_vendor.r("cell", {
          item,
          index
        }, i0),
        c: index,
        d: common_vendor.o(($event) => _ctx._innerCellClick(item, index))
      };
    })
  }, {
    G: common_vendor.s(_ctx.innerListStyle)
  }) : {}, {
    H: _ctx.useChatRecordMode && _ctx.realTotalData.length >= _ctx.defaultPageSize && (_ctx.loadingStatus !== _ctx.M.NoMore || _ctx.zSlots.chatNoMore) && (_ctx.realTotalData.length || _ctx.showChatLoadingWhenReload && _ctx.showLoading) && !_ctx.isFirstPageAndNoMore
  }, _ctx.useChatRecordMode && _ctx.realTotalData.length >= _ctx.defaultPageSize && (_ctx.loadingStatus !== _ctx.M.NoMore || _ctx.zSlots.chatNoMore) && (_ctx.realTotalData.length || _ctx.showChatLoadingWhenReload && _ctx.showLoading) && !_ctx.isFirstPageAndNoMore ? common_vendor.e({
    I: _ctx.loadingStatus === _ctx.M.NoMore && _ctx.zSlots.chatNoMore
  }, _ctx.loadingStatus === _ctx.M.NoMore && _ctx.zSlots.chatNoMore ? {} : common_vendor.e({
    J: _ctx.zSlots.chatLoading
  }, _ctx.zSlots.chatLoading ? {
    K: common_vendor.r("chatLoading", {
      loadingMoreStatus: _ctx.loadingStatus
    })
  } : {
    L: common_vendor.o(($event) => _ctx._onLoadingMore("click")),
    M: common_vendor.p({
      zConfig: _ctx.zLoadMoreConfig
    })
  }), {
    N: common_vendor.s(_ctx.chatRecordRotateStyle)
  }) : {}, {
    O: _ctx.useVirtualList
  }, _ctx.useVirtualList ? {
    P: common_vendor.s({
      height: _ctx.virtualPlaceholderBottomHeight + "px"
    })
  } : {}, {
    Q: _ctx.loadingStatus === _ctx.M.Default && _ctx.zSlots.loadingMoreDefault && _ctx.showLoadingMore && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode
  }, _ctx.loadingStatus === _ctx.M.Default && _ctx.zSlots.loadingMoreDefault && _ctx.showLoadingMore && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode ? {} : _ctx.loadingStatus === _ctx.M.Loading && _ctx.zSlots.loadingMoreLoading && _ctx.showLoadingMore && _ctx.loadingMoreEnabled ? {} : _ctx.loadingStatus === _ctx.M.NoMore && _ctx.zSlots.loadingMoreNoMore && _ctx.showLoadingMore && _ctx.showLoadingMoreNoMoreView && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode ? {} : _ctx.loadingStatus === _ctx.M.Fail && _ctx.zSlots.loadingMoreFail && _ctx.showLoadingMore && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode ? {} : _ctx.showLoadingMore && _ctx.showDefaultLoadingMoreText && !(_ctx.loadingStatus === _ctx.M.NoMore && !_ctx.showLoadingMoreNoMoreView) && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode ? {
    V: common_vendor.o(($event) => _ctx._onLoadingMore("click")),
    W: common_vendor.p({
      zConfig: _ctx.zLoadMoreConfig
    })
  } : {}, {
    R: _ctx.loadingStatus === _ctx.M.Loading && _ctx.zSlots.loadingMoreLoading && _ctx.showLoadingMore && _ctx.loadingMoreEnabled,
    S: _ctx.loadingStatus === _ctx.M.NoMore && _ctx.zSlots.loadingMoreNoMore && _ctx.showLoadingMore && _ctx.showLoadingMoreNoMoreView && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode,
    T: _ctx.loadingStatus === _ctx.M.Fail && _ctx.zSlots.loadingMoreFail && _ctx.showLoadingMore && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode,
    U: _ctx.showLoadingMore && _ctx.showDefaultLoadingMoreText && !(_ctx.loadingStatus === _ctx.M.NoMore && !_ctx.showLoadingMoreNoMoreView) && _ctx.loadingMoreEnabled && !_ctx.useChatRecordMode,
    X: _ctx.safeAreaInsetBottom && _ctx.useSafeAreaPlaceholder && !_ctx.useChatRecordMode
  }, _ctx.safeAreaInsetBottom && _ctx.useSafeAreaPlaceholder && !_ctx.useChatRecordMode ? {
    Y: common_vendor.s({
      height: _ctx.safeAreaBottom + "px"
    })
  } : {}, {
    Z: common_vendor.s({
      transform: _ctx.virtualPlaceholderTopHeight > 0 ? `translateY(${_ctx.virtualPlaceholderTopHeight}px)` : "none"
    }),
    aa: common_vendor.s(_ctx.finalPagingContentStyle),
    ab: _ctx.showEmpty
  }, _ctx.showEmpty ? common_vendor.e({
    ac: _ctx.zSlots.empty
  }, _ctx.zSlots.empty ? {
    ad: common_vendor.r("empty", {
      isLoadFailed: _ctx.isLoadFailed
    })
  } : {
    ae: common_vendor.o(_ctx._emptyViewReload),
    af: common_vendor.o(_ctx._emptyViewClick),
    ag: common_vendor.p({
      emptyViewImg: _ctx.finalEmptyViewImg,
      emptyViewText: _ctx.finalEmptyViewText,
      showEmptyViewReload: _ctx.finalShowEmptyViewReload,
      emptyViewReloadText: _ctx.finalEmptyViewReloadText,
      isLoadFailed: _ctx.isLoadFailed,
      emptyViewStyle: _ctx.emptyViewStyle,
      emptyViewTitleStyle: _ctx.emptyViewTitleStyle,
      emptyViewImgStyle: _ctx.emptyViewImgStyle,
      emptyViewReloadStyle: _ctx.emptyViewReloadStyle,
      emptyViewZIndex: _ctx.emptyViewZIndex,
      emptyViewFixed: _ctx.emptyViewFixed,
      unit: _ctx.unit
    })
  }, {
    ah: _ctx.emptyViewCenter ? 1 : "",
    ai: common_vendor.s(_ctx.emptyViewSuperStyle),
    aj: common_vendor.s(_ctx.chatRecordRotateStyle)
  }) : {}, {
    ak: common_vendor.s({
      justifyContent: _ctx.useChatRecordMode ? "flex-end" : "flex-start"
    }),
    al: common_vendor.s(_ctx.scrollViewInStyle),
    am: common_vendor.s({
      "transform": _ctx.finalRefresherTransform,
      "transition": _ctx.refresherTransition
    }),
    an: common_vendor.o((...args) => _ctx._refresherTouchstart && _ctx._refresherTouchstart(...args)),
    ao: common_vendor.o((...args) => _ctx._refresherTouchmove && _ctx._refresherTouchmove(...args)),
    ap: common_vendor.o((...args) => _ctx._refresherTouchend && _ctx._refresherTouchend(...args)),
    aq: common_vendor.o((...args) => _ctx._refresherTouchend && _ctx._refresherTouchend(...args)),
    ar: !_ctx.usePageScroll ? 1 : "",
    as: !_ctx.showScrollbar ? 1 : "",
    at: common_vendor.s(_ctx.chatRecordRotateStyle),
    av: _ctx.scrollTop,
    aw: _ctx.scrollX,
    ax: _ctx.finalScrollable,
    ay: _ctx.finalEnableBackToTop,
    az: _ctx.showScrollbar,
    aA: _ctx.finalScrollWithAnimation,
    aB: _ctx.scrollIntoView,
    aC: _ctx.finalLowerThreshold,
    aD: _ctx.finalRefresherEnabled && !_ctx.useCustomRefresher,
    aE: _ctx.finalRefresherThreshold,
    aF: _ctx.finalRefresherDefaultStyle,
    aG: _ctx.refresherBackground,
    aH: _ctx.finalRefresherTriggered,
    aI: common_vendor.o((...args) => _ctx._scroll && _ctx._scroll(...args)),
    aJ: common_vendor.o((...args) => _ctx._onScrollToLower && _ctx._onScrollToLower(...args)),
    aK: common_vendor.o((...args) => _ctx._onScrollToUpper && _ctx._onScrollToUpper(...args)),
    aL: common_vendor.o((...args) => _ctx._onRestore && _ctx._onRestore(...args)),
    aM: common_vendor.o(($event) => _ctx._onRefresh(true)),
    aN: _ctx.finalIsOldWebView ? 1 : "",
    aO: common_vendor.s(_ctx.scrollViewContainerStyle),
    aP: _ctx.zSlots.right
  }, _ctx.zSlots.right ? {
    aQ: _ctx.finalIsOldWebView ? 1 : ""
  } : {}, {
    aR: !_ctx.usePageScroll ? 1 : "",
    aS: common_vendor.s(_ctx.finalScrollViewStyle),
    aT: !_ctx.usePageScroll && _ctx.zSlots.bottom
  }, !_ctx.usePageScroll && _ctx.zSlots.bottom ? {} : _ctx.usePageScroll && _ctx.zSlots.bottom ? {
    aV: common_vendor.o(() => {
    }),
    aW: common_vendor.s({
      "bottom": `${_ctx.windowBottom}px`
    })
  } : {}, {
    aU: _ctx.usePageScroll && _ctx.zSlots.bottom,
    aX: _ctx.useChatRecordMode && _ctx.autoAdjustPositionWhenChat
  }, _ctx.useChatRecordMode && _ctx.autoAdjustPositionWhenChat ? {
    aY: common_vendor.s({
      height: _ctx.chatRecordModeSafeAreaBottom + "px"
    }),
    aZ: common_vendor.s({
      height: _ctx.keyboardHeight + "px"
    })
  } : {}, {
    ba: _ctx.bottomBgColor,
    bb: _ctx.showBackToTopClass
  }, _ctx.showBackToTopClass ? common_vendor.e({
    bc: _ctx.zSlots.backToTop
  }, _ctx.zSlots.backToTop ? {} : {
    bd: _ctx.backToTopImg.length ? _ctx.backToTopImg : _ctx.base64BackToTop
  }, {
    be: common_vendor.n(_ctx.finalBackToTopClass),
    bf: common_vendor.s(_ctx.finalBackToTopStyle),
    bg: common_vendor.o((...args) => _ctx._backToTopClick && _ctx._backToTopClick(...args))
  }) : {}, {
    bh: _ctx.showLoading && _ctx.zSlots.loading && _ctx.loadingFullFixed
  }, _ctx.showLoading && _ctx.zSlots.loading && _ctx.loadingFullFixed ? {} : {}, {
    bi: !_ctx.usePageScroll ? 1 : "",
    bj: !_ctx.usePageScroll && _ctx.fixed ? 1 : "",
    bk: _ctx.usePageScroll ? 1 : "",
    bl: _ctx.renderPropScrollTop < 1 ? 1 : "",
    bm: _ctx.useChatRecordMode ? 1 : "",
    bn: common_vendor.s(_ctx.finalPagingStyle)
  });
}
if (typeof block0 === "function")
  block0(uni_modules_zPaging_components_zPaging_js_zPagingMain._sfc_main);
const Component = /* @__PURE__ */ common_vendor._export_sfc(uni_modules_zPaging_components_zPaging_js_zPagingMain._sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-1aa372d7"]]);
my.createComponent(Component);
